CVE-2017-14928

NameCVE-2017-14928
DescriptionIn Poppler 0.59.0, a NULL Pointer Dereference exists in AnnotRichMedia::Configuration::Configuration in Annot.cc via a crafted PDF document.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs877231

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
poppler (PTS)jessie0.26.5-2+deb8u4fixed
jessie (security)0.26.5-2+deb8u13fixed
stretch (security), stretch0.48.0-2+deb9u2vulnerable
buster0.71.0-5fixed
bullseye, sid0.71.0-6fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
popplersource(unstable)0.61.1-2low877231
popplersourcejessie(not affected)
popplersourcewheezy(not affected)

Notes

[stretch] - poppler <ignored> (Minor issue)
[jessie] - poppler <not-affected> (Problematic code introduced in 0.36)
[wheezy] - poppler <not-affected> (Problematic code introduced in 0.36)
https://bugs.freedesktop.org/show_bug.cgi?id=102607
https://cgit.freedesktop.org/poppler/poppler/commit/?id=1316c7a41f4dd7276f404f775ebb5fef2d24ab1c

Search for package or bug name: Reporting problems